Subject: Re: Router stops routing after changing MAC Address

From: Rick Jones <[email-masked]>
Date: Mon, 13 Mar 2006 13:50:09 -0800

> Anyway, if the device fails, you have
> routers and hosts ARPing the interface, trying to establish a
> route anyway.

But only after what may be a much longer time than the customer is 
willing to accept or able to configure.  I know of a number of HA 
situations where the "new" device is given the "old" MAC just to avoid 
that speicific situation of ARP caches not being updated except after 
quite some time.  Not necessarily on the end-systems, the issue can be 
with intermediate devices (routers).

And if one has to work with static ARP entries to deal (however 
imperfectly) with ARP poisioning or whatnot...

Indeed, there is a large onus on the software doing the MAC override to 
make sure it does not break the required uniqueness.  Just as if one 
were using locally administered MAC addresses.

rick jones